import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-login-page',
  templateUrl: './login-page.component.html',
  styleUrls: ['./login-page.component.scss']
})
export class LoginPageComponent {
 

  username: string = '';
  password: string = '';

  constructor(private router: Router) {}// 在构造函数中注入Router依赖

  login() {
    // 实现登录逻辑，例如发送登录请求到服务器
    // 如果登录成功，可以跳转到其他页面
    this.router.navigate(['/mine']);
  }

  register() {
    // 实现注册逻辑，例如跳转到注册页面
    this.router.navigate(['/register']);
  }
}
